Update Existing Pipeline
curl --request PUT \
--url https://api.streamkap.com/pipelines/{pipeline_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"destination": {
"connector": "<string>",
"name": "<string>",
"id": "<string>"
},
"source": {
"connector": "<string>",
"name": "<string>",
"id": "<string>",
"topics": [
"<string>"
]
},
"tags": [
"<string>"
],
"transforms": [
{
"topic_id": "<string>"
}
],
"periodic_audit": {
"topics": [
"<string>"
],
"timestamp_column": "<string>",
"interval_minutes": 123,
"fix_deletes_only": false
},
"topic_auto_discovery_transforms": []
}
'import requests
url = "https://api.streamkap.com/pipelines/{pipeline_id}"
payload = {
"name": "<string>",
"destination": {
"connector": "<string>",
"name": "<string>",
"id": "<string>"
},
"source": {
"connector": "<string>",
"name": "<string>",
"id": "<string>",
"topics": ["<string>"]
},
"tags": ["<string>"],
"transforms": [{ "topic_id": "<string>" }],
"periodic_audit": {
"topics": ["<string>"],
"timestamp_column": "<string>",
"interval_minutes": 123,
"fix_deletes_only": False
},
"topic_auto_discovery_transforms": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
destination: {connector: '<string>', name: '<string>', id: '<string>'},
source: {connector: '<string>', name: '<string>', id: '<string>', topics: ['<string>']},
tags: ['<string>'],
transforms: [{topic_id: '<string>'}],
periodic_audit: {
topics: ['<string>'],
timestamp_column: '<string>',
interval_minutes: 123,
fix_deletes_only: false
},
topic_auto_discovery_transforms: []
})
};
fetch('https://api.streamkap.com/pipelines/{pipeline_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Pipelines
Update Existing Pipeline
PUT
/
pipelines
/
{pipeline_id}
Update Existing Pipeline
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Whether to include secret values in the response
When False, defer destination config update to reconciler instead of calling KC directly
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Update pipeline audit request.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successful Response
Was this page helpful?
⌘I